CPMAddPackage(
	NAME SDL3
	VERSION 3.4.2
	URL "https://github.com/libsdl-org/SDL/archive/refs/tags/release-3.4.2.zip"
	EXCLUDE_FROM_ALL ON
	OPTIONS
		"BUILD_SHARED_LIBS ${SRB2_CONFIG_SHARED_INTERNAL_LIBRARIES}"
		"SDL_SHARED ${SRB2_CONFIG_SHARED_INTERNAL_LIBRARIES}"
		"SDL_STATIC ${NOT_SRB2_CONFIG_SHARED_INTERNAL_LIBRARIES}"
		"SDL_TEST OFF"
		"SDL_HIDAPI_LIBUSB ON"
		"SDL3_DISABLE_SDL2MAIN ON"
		"SDL3_DISABLE_INSTALL ON"
)
